import { ChangeDetectorRef, OnInit } from '@angular/core';
import { Store } from '@ngxs/store';
import { Observable } from 'rxjs';
import { Assistance } from '../../core/models/assistance';
import { SmzLoader } from '../../core/models/loaders';
import { SmzContentTheme } from '../../core/models/themes';
import { SmzToast } from '../../core/models/toasts';
import { EdgePositionType, LeftPositionType, RightPositionType, SidePositionType } from '../../core/models/positions';
import { ColorSchemaDefinition } from '../../core/models/color-schemas';
import * as i0 from "@angular/core";
export declare class GlobalAssistanceComponent implements OnInit {
    private store;
    private cdr;
    assistance$: Observable<Assistance>;
    globalIsLoading: boolean;
    timer: number;
    contentThemes: import("../../core/models/themes").ContentTheme[];
    colorSchemes: import("../../core/models/color-schemas").ColorSchema[];
    loaders: import("ngx-smz-ui").SimpleEntity<SmzLoader>[];
    toasts: import("ngx-smz-ui").SimpleEntity<SmzToast>[];
    toastPositions: import("ngx-smz-ui").SimpleEntity<EdgePositionType>[];
    assistancePositions: import("ngx-smz-ui").SimpleEntity<SidePositionType>[];
    assistanceButtonPositions: import("ngx-smz-ui").SimpleEntity<LeftPositionType | RightPositionType>[];
    constructor(store: Store, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    onHide(): void;
    onShow(): void;
    onSetContentTheme(data: SmzContentTheme): void;
    onSetColorSchema(data: ColorSchemaDefinition | string): void;
    changeGlobalLoading(event: {
        checked: boolean;
    }, seconds: number): void;
    onSetGlobalLoader(data: SmzLoader): void;
    onShowToast(toast: SmzToast): void;
    onSetToastPosition(data: EdgePositionType): void;
    onSetAssistancePosition(data: SidePositionType): void;
    onSetAssistanceButtonPosition(data: LeftPositionType | RightPositionType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GlobalAssistanceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GlobalAssistanceComponent, "smz-ui-global-assistance", never, {}, {}, never, never, false, never>;
}
